[ubuntu/maverick] libvigraimpex 1.7.0+dfsg-7ubuntu1 (Accepted)

Matthias Klose doko at ubuntu.com
Wed Sep 15 13:15:33 BST 2010


libvigraimpex (1.7.0+dfsg-7ubuntu1) maverick; urgency=low

  * Remove build dependency on libhdf5-serial-dev (universe).  Reconsider
    after the release of maverick. LP: #635891.
  * debian/libvigraimpex2.symbols: Mark HDF5 symbols as optional.

libvigraimpex (1.7.0+dfsg-7) unstable; urgency=low

  * Bump all versions in the symbols file to 1.7.0.
  * Make python-vigra-doc recommend libvigraimpex-doc.
  * Make libvigraimpex-doc suggest python-vigra-doc.
  * Fix documentation generation with Doxygen 1.7.
  * Fix hyperlinks from the C++ library documentation to python-vigra
    documentation (closes: #590069) and the other way round (closes: #590068).
    [docsrc-paths.diff]
  * Stop using g++-4.3 on hppa, as #585925 is fixed now (closes: #588168).

libvigraimpex (1.7.0+dfsg-6) unstable; urgency=low

  * Fix generation of dependencies on python-numpy to take epochs into
    account. Use dh_numpy provided by python-numpy if available.

libvigraimpex (1.7.0+dfsg-5) unstable; urgency=low

  * To fix ABI breakage, rename binary package from libvigraimpex2ldbl to
    libvigraimpex2 (closes: #589779).
  * Bump standards version to 3.9.1 (no changes needed).
  * Automatically generate versioned dependencies on python-numpy.

libvigraimpex (1.7.0+dfsg-4) unstable; urgency=low

  * Bump standards version to 3.9.0 (no changes needed).
  * In order to mitigate bug #586247, add invariant check to
    noiseVarianceListMedianCut(). [noise-normalization-invariant.diff]
  * For the time being, disable failing vigranumpy test for
    noiseVarianceClustering(); see bug #586247.
    [disable-noise-variance-clustering-vigranumpy-test.diff]
  * Update headers for patches that has been applied upstream.

Date: Wed, 15 Sep 2010 13:31:29 +0200
Changed-By: Matthias Klose <doko at ubuntu.com>
Maintainer: Jakub Wilk <jwilk at debian.org>
Signed-By: Matthias Klose <matthias.klose at canonical.com>
https://launchpad.net/ubuntu/maverick/+source/libvigraimpex/1.7.0+dfsg-7ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 15 Sep 2010 13:31:29 +0200
Source: libvigraimpex
Binary: libvigraimpex-dev libvigraimpex2 libvigraimpex-doc python-vigra python-vigra-doc
Architecture: source
Version: 1.7.0+dfsg-7ubuntu1
Distribution: maverick
Urgency: low
Maintainer: Jakub Wilk <jwilk at debian.org>
Changed-By: Matthias Klose <doko at ubuntu.com>
Description: 
 libvigraimpex-dev - development files for the C++ computer vision library
 libvigraimpex-doc - Documentation for the C++ computer vision library
 libvigraimpex2 - C++ computer vision library
 python-vigra - Python bindings for the C++ computer vision library
 python-vigra-doc - Documentation for Python bindings for the C++ computer vision lib
Closes: 588168 589779 590068 590069
Launchpad-Bugs-Fixed: 635891
Changes: 
 libvigraimpex (1.7.0+dfsg-7ubuntu1) maverick; urgency=low
 .
   * Remove build dependency on libhdf5-serial-dev (universe).  Reconsider
     after the release of maverick. LP: #635891.
   * debian/libvigraimpex2.symbols: Mark HDF5 symbols as optional.
 .
 libvigraimpex (1.7.0+dfsg-7) unstable; urgency=low
 .
   * Bump all versions in the symbols file to 1.7.0.
   * Make python-vigra-doc recommend libvigraimpex-doc.
   * Make libvigraimpex-doc suggest python-vigra-doc.
   * Fix documentation generation with Doxygen 1.7.
   * Fix hyperlinks from the C++ library documentation to python-vigra
     documentation (closes: #590069) and the other way round (closes: #590068).
     [docsrc-paths.diff]
   * Stop using g++-4.3 on hppa, as #585925 is fixed now (closes: #588168).
 .
 libvigraimpex (1.7.0+dfsg-6) unstable; urgency=low
 .
   * Fix generation of dependencies on python-numpy to take epochs into
     account. Use dh_numpy provided by python-numpy if available.
 .
 libvigraimpex (1.7.0+dfsg-5) unstable; urgency=low
 .
   * To fix ABI breakage, rename binary package from libvigraimpex2ldbl to
     libvigraimpex2 (closes: #589779).
   * Bump standards version to 3.9.1 (no changes needed).
   * Automatically generate versioned dependencies on python-numpy.
 .
 libvigraimpex (1.7.0+dfsg-4) unstable; urgency=low
 .
   * Bump standards version to 3.9.0 (no changes needed).
   * In order to mitigate bug #586247, add invariant check to
     noiseVarianceListMedianCut(). [noise-normalization-invariant.diff]
   * For the time being, disable failing vigranumpy test for
     noiseVarianceClustering(); see bug #586247.
     [disable-noise-variance-clustering-vigranumpy-test.diff]
   * Update headers for patches that has been applied upstream.
Checksums-Sha1: 
 74ea39238038d2e3fd8a8c5bba942cc7736d1510 1623 libvigraimpex_1.7.0+dfsg-7ubuntu1.dsc
 54a711689c8b8f5fb540971c0dae68c57b0bf727 21294 libvigraimpex_1.7.0+dfsg-7ubuntu1.debian.tar.gz
Checksums-Sha256: 
 3d6719ce9c5de7f6e407bb7b4ff867e39199e84acc9af85761ba375a53eb36ba 1623 libvigraimpex_1.7.0+dfsg-7ubuntu1.dsc
 5305569d3976ce6bae82843c6c9b58b5f20d9308b12853b3558043bd6460589d 21294 libvigraimpex_1.7.0+dfsg-7ubuntu1.debian.tar.gz
Files: 
 89516bff1c451cf3a176f853bba5473c 1623 libs optional libvigraimpex_1.7.0+dfsg-7ubuntu1.dsc
 c31b7b789772c10ddc41ee273e6dcaed 21294 libs optional libvigraimpex_1.7.0+dfsg-7ubuntu1.debian.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyQuB4ACgkQStlRaw+TLJz1gwCgjtik8HvObyfUYpSSaSSvmSTF
oEAAnRSb8L+WhHKE1S66/IgvHyTkejDf
=EP/C
-----END PGP SIGNATURE-----


More information about the Maverick-changes mailing list